org.gnome.gtk

## Interface Widget.QueryTooltip

- Enclosing class:
    Widget

      public static interface Widget.QueryTooltip

  Signal fired when requesting a tooltip. When using the method you should return true to either display the tooltip or false when not to display the tooltip. You can decide whether to show it or not based on the x and y values that you receive from the method. Note however that if keyboardMode is true x and y will be undefined. You will also receive the `Tooltip` object where you can place the contents to show in the tooltip. This is the only way to receive a tooltip object to work with. See `Tooltip` for more informtation.
  Since:
    4.1.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onQueryTooltip(Widget source, int x, int y, boolean keyboardMode, Tooltip tooltip)`

- - ### Method Detail

    - #### onQueryTooltip

          boolean onQueryTooltip(Widget source,
                               int x,
                               int y,
                               boolean keyboardMode,
                               Tooltip tooltip)